MethodVisitorTee (cglib (Version 3.1))
Date: 2015-09-15

net.sf.cglib.transform

## Class MethodVisitorTee

- java.lang.Object
- - MethodVisitor
  - - net.sf.cglib.transform.MethodVisitorTee

-     public class MethodVisitorTee
      extends MethodVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodVisitorTee(MethodVisitor mv1, MethodVisitor mv2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
    `AnnotationVisitor` | `visitAnnotationDefault()`
    `void` | `visitAttribute(Attribute attr)`
    `void` | `visitCode()`
    `void` | `visitEnd()`
    `void` | `visitFieldInsn(int opcode, java.lang.String owner, java.lang.String name, java.lang.String desc)`
    `void` | `visitFrame(int type, int nLocal, java.lang.Object[] local, int nStack, java.lang.Object[] stack)`
    `void` | `visitIincInsn(int var, int increment)`
    `void` | `visitInsn(int opcode)`
    `void` | `visitIntInsn(int opcode, int operand)`
    `void` | `visitJumpInsn(int opcode, Label label)`
    `void` | `visitLabel(Label label)`
    `void` | `visitLdcInsn(java.lang.Object cst)`
    `void` | `visitLineNumber(int line, Label start)`
    `void` | `visitLocalVariable(java.lang.String name, java.lang.String desc, java.lang.String signature, Label start, Label end, int index)`
    `void` | `visitLookupSwitchInsn(Label dflt, int[] keys, Label[] labels)`
    `void` | `visitMaxs(int maxStack, int maxLocals)`
    `void` | `visitMethodInsn(int opcode, java.lang.String owner, java.lang.String name, java.lang.String desc)`
    `void` | `visitMultiANewArrayInsn(java.lang.String desc, int dims)`
    `AnnotationVisitor` | `visitParameterAnnotation(int parameter, java.lang.String desc, boolean visible)`
    `void` | `visitTableSwitchInsn(int min, int max, Label dflt, Label[] labels)`
    `void` | `visitTryCatchBlock(Label start, Label end, Label handler, java.lang.String type)`
    `void` | `visitTypeInsn(int opcode, java.lang.String desc)`
    `void` | `visitVarInsn(int opcode, int var)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodVisitorTee

          public MethodVisitorTee(MethodVisitor mv1,
                          MethodVisitor mv2)

  - ### Method Detail

    - #### visitFrame

          public void visitFrame(int type,
                        int nLocal,
                        java.lang.Object[] local,
                        int nStack,
                        java.lang.Object[] stack)

    - #### visitAnnotationDefault

          public AnnotationVisitor visitAnnotationDefault()

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(java.lang.String desc,
                                          boolean visible)

    - #### visitParameterAnnotation

          public AnnotationVisitor visitParameterAnnotation(int parameter,
                                                   java.lang.String desc,
                                                   boolean visible)

    - #### visitAttribute

          public void visitAttribute(Attribute attr)

    - #### visitCode

          public void visitCode()

    - #### visitInsn

          public void visitInsn(int opcode)

    - #### visitIntInsn

          public void visitIntInsn(int opcode,
                          int operand)

    - #### visitVarInsn

          public void visitVarInsn(int opcode,
                          int var)

    - #### visitTypeInsn

          public void visitTypeInsn(int opcode,
                           java.lang.String desc)

    - #### visitFieldInsn

          public void visitFieldInsn(int opcode,
                            java.lang.String owner,
                            java.lang.String name,
                            java.lang.String desc)

    - #### visitMethodInsn

          public void visitMethodInsn(int opcode,
                             java.lang.String owner,
                             java.lang.String name,
                             java.lang.String desc)

    - #### visitJumpInsn

          public void visitJumpInsn(int opcode,
                           Label label)

    - #### visitLabel

          public void visitLabel(Label label)

    - #### visitLdcInsn

          public void visitLdcInsn(java.lang.Object cst)

    - #### visitIincInsn

          public void visitIincInsn(int var,
                           int increment)

    - #### visitTableSwitchInsn

          public void visitTableSwitchInsn(int min,
                                  int max,
                                  Label dflt,
                                  Label[] labels)

    - #### visitLookupSwitchInsn

          public void visitLookupSwitchInsn(Label dflt,
                                   int[] keys,
                                   Label[] labels)

    - #### visitMultiANewArrayInsn

          public void visitMultiANewArrayInsn(java.lang.String desc,
                                     int dims)

    - #### visitTryCatchBlock

          public void visitTryCatchBlock(Label start,
                                Label end,
                                Label handler,
                                java.lang.String type)

    - #### visitLocalVariable

          public void visitLocalVariable(java.lang.String name,
                                java.lang.String desc,
                                java.lang.String signature,
                                Label start,
                                Label end,
                                int index)

    - #### visitLineNumber

          public void visitLineNumber(int line,
                             Label start)

    - #### visitMaxs

          public void visitMaxs(int maxStack,
                       int maxLocals)

    - #### visitEnd

          public void visitEnd()

Copyright (c) 2001 - Apache Software Foundation